Bug 1560395 (CVE-2018-1283)

Summary: CVE-2018-1283 httpd: Improper handling of headers in mod_session can allow a remote user to modify session data for CGI applications
Product: [Other] Security Response Reporter: Sam Fowler <sfowler>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: apmukher, bmaxwell, bnater, b.prins, cdewolf, chazlett, csutherl, darran.lofthouse, dffrench, dimitris, dosoudil, drusso, fgavrilo, gzaronik, hhorak, jawilson, jclere, jdoyle, jkaluza, jmadigan, jondruse, jorton, jshepherd, lgao, lgriffin, luhliari, mbabacek, mturk, myarboro, ngough, pahan, pgier, pjurak, ppalaga, preichl, psakar, pslavice, pwright, rnetuka, rrajasek, rschiron, rstancel, rsvoboda, trepel, twalsh, vtunka, weli, yozone
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20180321,reported=20180326,source=oss-security,cvss3=4.8/CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:L/A:N,cwe=CWE-20,fedora-all/httpd=affected,rhel-8/httpd=notaffected,rhel-7/httpd=affected,rhel-6/httpd=notaffected,rhel-5/httpd=notaffected,rhscl-3/httpd24-httpd=affected,jbcs-1/httpd=affected,jws-3/httpd=notaffected,jbews-2/httpd=notaffected,eap-5/httpd=notaffected,eap-6/httpd=notaffected,rhmap-4/rhmap-httpd-docker=notaffected
Fixed In Version: httpd 2.4.30 Doc Type: If docs needed, set a value
Doc Text:
It has been discovered that the mod_session module of Apache HTTP Server (httpd), through version 2.4.29, has an improper input validation flaw in the way it handles HTTP session headers in some configurations. A remote attacker may influence their content by using a "Session" header.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-10 10:18:26 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1566531, 1560396, 1560401, 1566539    
Bug Blocks: 1560397    

Description Sam Fowler 2018-03-26 04:22:56 UTC
Apache HTTP Server (httpd) through version 2.4.29 has a vulnerability in the handling of HTTP session headers in mod_session. When mod_session is configured to forward its session data to CGI applications (SessionEnv on, not the default), a remote user may influence their content by using a "Session" header.


Upstream Advisory:

https://httpd.apache.org/security/vulnerabilities_24.html


Upstream Patch:

https://svn.apache.org/viewvc?view=revision&sortby=log&revision=1824477

Comment 1 Sam Fowler 2018-03-26 04:23:14 UTC
Created httpd tracking bugs for this issue:

Affects: fedora-all [bug 1560396]

Comment 7 Riccardo Schirone 2018-04-12 14:26:50 UTC
Statement:

This issue did not affect the versions of httpd as shipped with Red Hat Enterprise Linux 5 and 6 as they did not include mod_session module.

Comment 8 Jason Shepherd 2018-05-25 05:00:46 UTC
mod_session is not installed in RHMAP HTTPD image. Marking RHMAP as not affected.
[root@5736ef9f6784 /]# ls /opt/rh/httpd24/root/usr/lib64/httpd/modules/mod_s
mod_sed.so               mod_slotmem_shm.so       mod_socache_shmcb.so     mod_status.so            mod_systemd.so           
mod_setenvif.so          mod_socache_dbm.so       mod_speling.so           mod_substitute.so        
mod_slotmem_plain.so     mod_socache_memcache.so  mod_ssl.so               mod_suexec.so

Comment 12 errata-xmlrpc 2018-11-13 08:35:37 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS

Via RHSA-2018:3558 https://access.redhat.com/errata/RHSA-2018:3558

Comment 17 errata-xmlrpc 2019-02-18 16:55:37 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Core Services

Via RHSA-2019:0366 https://access.redhat.com/errata/RHSA-2019:0366

Comment 18 errata-xmlrpc 2019-02-18 16:58:18 UTC
This issue has been addressed in the following products:

  JBoss Core Services on RHEL 6
  JBoss Core Services on RHEL 7

Via RHSA-2019:0367 https://access.redhat.com/errata/RHSA-2019:0367